# -*- Mode: python; indent-tabs-mode: nil; tab-width: 40 -*-
# vim: set filetype=python:
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

Classes = [
  {
    'cid': '{8cc51368-6aa0-43e8-b762-bde9b9fd828c}',
    'contract_ids': [
      '@mozilla.org/network/protocol/about;1?what=newserror',
      '@mozilla.org/network/protocol/about;1?what=rights',
      '@mozilla.org/network/protocol/about;1?what=preferences',
      '@mozilla.org/network/protocol/about;1?what=downloads',
      '@mozilla.org/network/protocol/about;1?what=policies',
      '@mozilla.org/network/protocol/about;1?what=accountsettings',
      '@mozilla.org/network/protocol/about;1?what=accountsetup',
      '@mozilla.org/network/protocol/about;1?what=accountprovisioner',
      '@mozilla.org/network/protocol/about;1?what=addressbook',
      '@mozilla.org/network/protocol/about;1?what=3pane',
      '@mozilla.org/network/protocol/about;1?what=message',
      '@mozilla.org/network/protocol/about;1?what=import',
      '@mozilla.org/network/protocol/about;1?what=profiling',
    ],
    'jsm': 'resource:///modules/AboutRedirector.jsm',
    'constructor': 'AboutRedirector',
  },
  {
    'cid': '{eb239c82-fac9-431e-98d7-11cacd0f71b8}',
    'contract_ids': ['@mozilla.org/mail/mailglue;1'],
    'jsm': 'resource:///modules/MailGlue.jsm',
    'constructor': 'MailGlue',
  },
  {
    'cid': '{44346520-c5d2-44e5-a1ec-034e04d7fac4}',
    'contract_ids': [
      '@mozilla.org/uriloader/content-handler;1?type=text/html',
      '@mozilla.org/uriloader/content-handler;1?type=text/plain',
      '@mozilla.org/mail/default-mail-clh;1',
      '@mozilla.org/mail/clh;1',
    ],
    'jsm': 'resource:///modules/MessengerContentHandler.jsm',
    'constructor': 'MessengerContentHandler',
    'categories': {
      'command-line-handler': 'x-default',
      'command-line-validator': 'b-default',
    },
  },
  {
    'cid': '{048227f7-852a-473c-b9b5-7748684b57e2}',
    'contract_ids': [
      '@mozilla.org/uriloader/content-handler;1?type=application/x-message-display',
    ],
    'jsm': 'resource:///modules/MessengerContentHandler.jsm',
    'constructor': 'MessageDisplayContentHandler',
  },
]
